﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="CargosAutomaticos.aspx.cs" Inherits="Seven.Front.CargosAutomaticos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
    { %>

    <title><%=L.TIT("CargosAutomaticos") %> [1.6]</title>

    <script type="text/javascript">

        function VerInforme() {
            window.open('Informe.aspx?r=60&s=' + $('#txtCAFecIni').val()
                + '&f=' + $('#txtCAFecFin').val()
                + '&sf=' + $('#cbServFact').val()
                + '&sa=' + $('#cbServAgen').val()
                + '&m=' + $('#cbMoneda').val()
                + '&cp=' + $('#cbConcProd').val()
                + '&o=' + $('input[name=rbCAAgrupar]:checked').val()
                + '&n=' + $('#cbCAIncluirReseRoom:checked').val(), '_blank')
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 1);

        });
    </script>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
    { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M2';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="CargosAutomaticos.aspx"><%=L.TIT("CargosAutomaticos") %> [1.6]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 580px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("CargosAutomaticos") %> [1.6]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/1-6-cargos-autom%C3%A1ticos/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <fieldset>
                    <legend><b><%=L.LBL("LblGENCriteriosSeleccion") %></b></legend>
                    <table>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENStart") %>:
                            </td>
                            <td>
                                <input type="text" id="txtCAFecIni" class="eligeFecha" value="<%=string.Format("{0:d}", gen.fecha_hotelera) %>" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKServicio") %>:
                            </td>
                            <td>
                                <%=cbServFact %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENEnd") %>:
                            </td>
                            <td>
                                <input type="text" id="txtCAFecFin" class="eligeFecha" value="<%=string.Format("{0:d}", gen.fecha_hotelera) %>" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKServicioAgen") %>:
                            </td>
                            <td>
                                <%=cbServAgen %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENMoney") %>:
                            </td>
                            <td>
                                <%=cbMoneda %>
                            </td>
                            <td>
                                <%=L.LBL("LblGENProductionConcept") %>:
                            </td>
                            <td>
                                <%=cbConcProd %>
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td>
                            <fieldset>
                                <legend><b><%=L.LBL("LblGENAgruparPor") %></b></legend>
                                <input type="radio" name="rbCAAgrupar" value="1" checked="checked" /><%=L.LBL("LblFDKServicio") %>
                                <input type="radio" name="rbCAAgrupar" value="2" /><%=L.LBL("LblGENRoom") %> / <%=L.LBL("LblFDKReserva") %> / <%=L.LBL("LblFDKRoomingList") %>
                            </fieldset>
                        </td>
                        <td>
                            <input type="checkbox" id="cbCAIncluirReseRoom" value="1" checked="checked" /><%=L.LBL("LblFDKCAIncluirReseRoom") %>
                        </td>
                        <td style="width: 100%;"></td>
                        <td>
                            <button type="button" id="bsdataV" onclick="VerInforme();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png"
                                                alt="<%=L.LBL("LblGENVer") %>" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <br />

                <table class="SevenMsgExito" style="width: 100%;">
                    <tr>
                        <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                            <%=L.REP("CARAUT01") %>
                            <br />
                            <br />
                            <%=L.REP("CARAUT02") %>
                            <br />
                            <br />
                            <%=L.REP("CARAUT03") %>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>

