﻿<% @Import Namespace="System.Drawing.Printing" %>
<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Business" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="DebugImpresoras.aspx.cs" Inherits="Seven.Front.DebugImpresoras" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("DebugImpresoras") %></title>
    
    <script type="text/javascript">

        //function ImprimirListado() {
        //    window.open("Informe.aspx?r=7000000", "_blank")
        //}
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 0);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="DebugImpresoras.aspx"><%=L.TIT("DebugImpresoras") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("DebugImpresoras") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <%
                    foreach (string impresora in PrinterSettings.InstalledPrinters)
                    {
                        PrintDocument printDoc = new PrintDocument();

                        printDoc.PrinterSettings.PrinterName = impresora;

                        Response.Write("<h2>" + impresora + "</h2>");

                        /* Debug intensivo de IDD para caso Impresora Bematech LR2000 */

                        Response.Write("<div class=\"SevenEnlaces\">");
                        Response.Write("<table style=\"width: 100%;\">");
                        Response.Write("<tr>");
                        Response.Write("<td>");

                        int id_repo = 1;

                        try
                        {
                            id_repo = int.Parse(Request.QueryString["r"]);
                        }
                        catch { }

                        Identidad iden3 = new Identidad(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value)), Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_NOM].Value), int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_DAT].Value)), Request.ServerVariables["REMOTE_ADDR"]);

                        IEnumerable<PaperSize> paperSizes = printDoc.PrinterSettings.PaperSizes.Cast<PaperSize>();

                        PaperSize sizeTP;
                        Papel papel = Logica.GetPapeles(id_repo, iden3);

                        Response.Write("Target Paper: <span style=\"color: teal;\">" + papel.descripcion + " [" + papel.ancho + "x" + papel.largo + "]" + "</span><br/>");

                        if (papel.ancho == 0 || papel.largo == 0)
                        {
                            Response.Write("Custom IHSecurity Paper Setting: <span style=\"color: red;\">No</span><br/>");
                            try
                            {
                                sizeTP = paperSizes.First<PaperSize>(size => size.Kind == (PaperKind)Enum.Parse(typeof(PaperKind), papel.descripcion));
                                Response.Write("Wanted Paper Size Available: <span style=\"color: green;\">Yes</span><br/>");
                            }
                            catch
                            {
                                Response.Write("Wanted Paper Size Available: <span style=\"color: red;\">No</span><br/>");
                                try
                                {
                                    sizeTP = paperSizes.First<PaperSize>(size => size.Kind == PaperKind.Letter);
                                    Response.Write("The Printer Have at Least One Paper Size: <span style=\"color: green;\">Yes</span><br/>");
                                }
                                catch
                                {
                                    Response.Write("The Printer Have at Least One Paper Size: <span style=\"color: red;\">No</span><br/>");
                                    sizeTP = new PaperSize("LetterDef", 850, 1100);
                                }
                            }
                        }
                        else
                        {
                            Response.Write("Custom IHSecurity Paper Setting: <span style=\"color: green;\">Yes</span><br/>");
                            sizeTP = new PaperSize(papel.descripcion, papel.ancho, papel.largo);
                        }

                        Response.Write("</td>");
                        Response.Write("<td>");

                        Response.Write("Default Paper:<br/>");

                        try
                        {
                            Response.Write("--> Name: <span style=\"color: blue;\">" + printDoc.DefaultPageSettings.PaperSize.PaperName + "</span><br/>");
                            Response.Write("--> Kind: <span style=\"color: blue;\">" + printDoc.DefaultPageSettings.PaperSize.Kind + "</span><br/>");
                            Response.Write("--> Width: <span style=\"color: blue;\">" + printDoc.DefaultPageSettings.PaperSize.Width + "</span><br/>");
                            Response.Write("--> Height: <span style=\"color: blue;\">" + printDoc.DefaultPageSettings.PaperSize.Height + "</span><br/>");
                        }
                        catch (Exception ex)
                        {
                             Response.Write("Exeption: <span style=\"color: red;\">" + ex.Message + "</span><br/>");
                             Response.Write(ex.StackTrace + "<br/>");
                        }

                        Response.Write("<br/>");

                        if (!printDoc.PrinterSettings.IsValid)
                        {
                            Response.Write("Valid Settings Before Setting Paper: <span style=\"color: red;\">No</span>");
                        }
                        else
                        {
                            Response.Write("Valid Settings Before Setting Paper: <span style=\"color: green;\">Yes</span>");
                        }

                        Response.Write("</td>");
                        Response.Write("<td>");

                        Response.Write("IDD Configured Paper:<br/>");
                        Response.Write("--> Name: <span style=\"color: purple;\">" + sizeTP.PaperName + "</span><br/>");
                        Response.Write("--> Kind: <span style=\"color: purple;\">" + sizeTP.Kind + "</span><br/>");
                        Response.Write("--> Width: <span style=\"color: purple;\">" + sizeTP.Width + "</span><br/>");
                        Response.Write("--> Height: <span style=\"color: purple;\">" + sizeTP.Height + "</span><br/>");

                        Response.Write("<br/>");

                        printDoc.DefaultPageSettings.PaperSize = sizeTP;

                        if (!printDoc.PrinterSettings.IsValid)
                        {
                            Response.Write("Valid Settings After Setting Paper: <span style=\"color: red;\">No</span>");
                        }
                        else
                        {
                            Response.Write("Valid Settings After Setting Paper: <span style=\"color: green;\">Yes</span>");
                        }

                        Response.Write("</td>");
                        Response.Write("</tr>");
                        Response.Write("</table>");
                        Response.Write("</div>");

                        Response.Write("<br/>");

                        /* Tipos de Papel de la Impresora */

                        Response.Write("<table style=\"width: 100%;\" class=\"PrinterTable\"><tr>" +
                            "<th class=\"ui-state-default\">Paper Name</th>" +
                            "<th class=\"ui-state-default\">Kind</th>" +
                            "<th class=\"ui-state-default\">Raw Kind</th>" +
                            "<th class=\"ui-state-default\">Width</th>" +
                            "<th class=\"ui-state-default\">Height</th></tr>");

                        foreach(PaperSize size in paperSizes)
                        {
                            Response.Write("<tr><td class=\"ui-widget-content\">" + size.PaperName + "</td>" +
                                "<td class=\"ui-widget-content\">" + size.RawKind + "</td>" +
                                "<td class=\"ui-widget-content\">" + size.Kind + "</td>" +
                                "<td class=\"ui-widget-content\">" + size.Width +"</td>" +
                                "<td class=\"ui-widget-content\">" + size.Height + "</td></tr>");
                        }

                        Response.Write("</table>");
                    }

                %>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

