﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="HistoricoReservasRooming.aspx.cs" Inherits="Seven.Front.HistoricoReservasRooming" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("HistoricoReservasRooming") %> [7.2]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para Histórico de Reservas y Rooming List */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function RR1ButtonFormatter(cellvalue, options, rowObject) {
            var link = ""
            if (rowObject[2] == "RE")
            {
                link = "<button type='button' onclick='ReseOri(" + rowObject[1] + ");'><img src='img/Seven/FDK/Reservas.png' /></button>"
            }
            else
            {
                link = "<button type='button' onclick='RoomOri(" + rowObject[1] + ");'><img src='img/Seven/FDK/RoomList.png' /></button>"
            }
            return link;
        };

        function RR2ButtonFormatter(cellvalue, options, rowObject) {
            var link = ""
            if (rowObject[2] == "RE") {
                link = "<button type='button' onclick='ReseHist(" + rowObject[1] + ");'><img src='img/document-list.png' /></button>"
            }
            else {
                link = "<button type='button' onclick='RoomHist(" + rowObject[1] + ");'><img src='img/document-list.png' /></button>"
            }
            return link;
        };

        function GetRRH() {
            $.ajax({
                url: 'Servicio.svc/GetHISTReseRoom',
                data: {
                    "Fil_nro_reserva": $("input[name=cbFil_nro_reserva]:checked").val()
                    , "vFil_nro_reserva": $('#txtFil_nro_reserva').val(), "vFil_nro_reserva2": $('#txtFil_nro_reserva2').val()
                    , "Fil_nro_rooming": $("input[name=cbFil_nro_rooming]:checked").val()
                    , "vFil_nro_rooming": $('#txtFil_nro_rooming').val(), "vFil_nro_rooming2": $('#txtFil_nro_rooming2').val()
                    , "Fil_fecha_ent": $("input[name=cbFil_fecha_ent]:checked").val()
                    , "vFil_fecha_ent": $('#txtFil_fecha_ent').val(), "vFil_fecha_ent2": $('#txtFil_fecha_ent2').val()
                    , "Fil_fecha_sal": $("input[name=cbFil_fecha_sal]:checked").val()
                    , "vFil_fecha_sal": $('#txtFil_fecha_sal').val(), "vFil_fecha_sal2": $('#txtFil_fecha_sal2').val()
                    , "Fil_fecha_anul": $("input[name=cbFil_fecha_anul]:checked").val()
                    , "vFil_fecha_anul": $('#txtFil_fecha_anul').val(), "vFil_fecha_anul2": $('#txtFil_fecha_anul2').val()
                    , "Fil_id_venta": $("input[name=cbFil_id_venta]:checked").val(), "vFil_id_venta": $('#cbAgenteVentas').val()
                    , "Fil_id_agen": $("input[name=cbFil_id_agen]:checked").val(), "vFil_id_agen": $('#cbEmpresa').val()
                    , "Fil_id_merc": $("input[name=cbFil_id_merc]:checked").val(), "vFil_id_merc": $('#cbMercado').val()
                    , "Fil_id_cont": $("input[name=cbFil_id_cont]:checked").val(), "vFil_id_cont": $('#cbContrato').val()
                    , "Fil_id_ralo": $("input[name=cbFil_id_ralo]:checked").val(), "vFil_id_ralo": $('#cbRegAloj').val()
                    , "Fil_id_oper": $("input[name=cbFil_id_oper]:checked").val(), "vFil_id_oper": $('#cbOperador').val()
                    , "Fil_id_naci": $("input[name=cbFil_id_naci]:checked").val(), "vFil_id_naci": $('#cbNacionalidad').val()
                    , "Fil_nombre": $("input[name=cbFil_nombre]:checked").val(), "vFil_nombre": $('#txtFil_nombre').val()
                    , "Fil_observaciones": $("input[name=cbFil_observaciones]:checked").val(), "vFil_observaciones": $('#txtFil_observaciones').val()
                    , "Fil_referencia": $("input[name=cbFil_referencia]:checked").val(), "vFil_referencia": $('#txtFil_referencia').val()
                    , "Fil_fecha_reserva": $("input[name=cbFil_fecha_reserva]:checked").val()
                    , "vFil_fecha_reserva": $('#txtFil_fecha_reserva').val(), "vFil_fecha_reserva2": $('#txtFil_fecha_reserva2').val()
                    , "Fil_id_origen": $("input[name=cbFil_id_origen]:checked").val(), "vFil_id_origen": $('#cbOrigen').val()
                    , "Fil_check_in": $("input[name=cbFil_check_in]:checked").val()
                    , "Fil_no_show": $("input[name=cbFil_no_show]:checked").val()
                    , "Fil_anulada": $("input[name=cbFil_anulada]:checked").val()
                    , "Fil_rooming": $("input[name=cbFil_rooming]:checked").val()
                    , "Fil_traslado": $("input[name=cbFil_traslado]:checked").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgRRH").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgRRH")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgRRH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridRRH() {

            var lselRRH;
            var colMap = {};
            $("#jqgRRH").jqGrid({
                datatype: 'local',
                height: 255,
                width: 790,
                colNames: ['', '', '<%=L.LBL("LblGENType") %>', '<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblGENName") %>'
                    , '<%=L.LBL("LblFDKEntrada") %>', '<%=L.LBL("LblGENSalida") %>', '<%=L.LBL("LblGENTarifa") %>'
                    , '<%=L.LBL("LblFDKRESETOTCanHab") %>', '<%=L.LBL("LblFDKPax") %>', '<%=L.LBL("LblGENImporte") %>', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_rese', index: 'id_rese', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Tipo', index: 'Tipo', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Nro_Reserva', index: 'Nro_Reserva', width: 12, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'Nombre', index: 'Nombre', width: 20, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Fecha_Ent', index: 'Fecha_Ent', width: 12, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Fecha_Sal', index: 'Fecha_Sal', width: 12, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Contrato', index: 'Contrato', width: 20, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'habitacion', index: 'habitacion', width: 10, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'Pax', index: 'Pax', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'precio', index: 'precio', width: 10, editable: true, searchoptions: { sopt: ListFindT }, align: 'right' },
                            { name: 'id_estado', index: 'id_estado', width: 10, editable: true, hidden: true },
                            { name: 'Boton', index: 'Boton', width: 5, editable: false, formatter: RR1ButtonFormatter },
                            { name: 'Boton2', index: 'Boton2', width: 5, editable: false, formatter: RR2ButtonFormatter },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselRRH) && !isNaN(id)) {
                            $("#jqgRRH").jqGrid('delRowData', lselRRH);
                            //$('#jqgRRH').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgRRH").jqGrid('getRowData', id);

                            $('#jqgRRH').jqGrid('restoreRow', lselRRH);

                            $('#IdSubElementRRH').val(ret.Id);
                            $('#IdSubElementRID').val(ret.id_rese);
                            $('#IdSubElementTP').val(ret.Tipo);

                            if ($('#IdSubElementTP').val() == "RE")
                            {
                                $('#btnNuevaRese').button('enable');
                            }
                            else
                            {
                                $('#btnNuevaRese').button('disable');
                            }
                        }

                        $('#jqgRRH').jqGrid('saveRow', lselRRH);

                        lselRRH = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselRRH)) {
                            $("#jqgRRH").jqGrid('delRowData', lselRRH);
                            $('#jqgRRH').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgRRH').jqGrid('saveRow', lselRRH);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgRRH').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgRRH").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextRRH').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconRRH').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextRRH').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconRRH').attr("src", "img/cross-script.png");
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgRRH").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementRRH').val()) == 0) {
                            $('#IdSubElementRRH').val($("#jqgRRH").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgRRH").getCell(rows[i], "id_estado");

                        if (status == "1") {
                            $("#jqgRRH").jqGrid('setRowData', rows[i], false,
                            { color: 'navy', font: 'italic' });
                        }

                        if (status == "3") {
                            $("#jqgRRH").jqGrid('setRowData', rows[i], false,
                            { color: 'maroon', font: 'italic' });
                        }

                        if (status == "4") {
                            $("#jqgRRH").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }

                        if (status == "5") {
                            $("#jqgRRH").jqGrid('setRowData', rows[i], false,
                            { color: 'maroon', font: 'italic' });
                        }

                        if (status == "6") {
                            $("#jqgRRH").jqGrid('setRowData', rows[i], false,
                            { color: 'purple', font: 'italic' });
                        }
                    }
                    $('#jqgRRH').jqGrid('setSelection', $('#IdSubElementRRH').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridRRH() {
            $("#jqgRRH").jqGrid("setGridParam", { datatype: "json", datatype: GetRRH, loadonce: true });
            $("#jqgRRH").trigger("reloadGrid");
            $("#jqgRRH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ListadoRRH() {
            window.open('Informe.aspx?r=720&fn=' + $("input[name=cbFil_nro_reserva]:checked").val()
                     + "&vn=" + $('#txtFil_nro_reserva').val() + "&vn2=" + $('#txtFil_nro_reserva2').val()
                     + "&fh=" + $("input[name=cbFil_nro_rooming]:checked").val()
                     + "&vh=" + $('#txtFil_nro_rooming').val() + "&vh2=" + $('#txtFil_nro_rooming2').val()
                     + "&ffe=" + $("input[name=cbFil_fecha_ent]:checked").val()
                     + "&vfe=" + $('#txtFil_fecha_ent').val() + "&vfe2=" + $('#txtFil_fecha_ent2').val()
                     + "&ffs=" + $("input[name=cbFil_fecha_sal]:checked").val()
                     + "&vfs=" + $('#txtFil_fecha_sal').val() + "&vfs2=" + $('#txtFil_fecha_sal2').val()
                     + "&ffa=" + $("input[name=cbFil_fecha_anul]:checked").val()
                     + "&vfa=" + $('#txtFil_fecha_anul').val() + "&vfa2=" + $('#txtFil_fecha_anul2').val()
                     + "&fv=" + $("input[name=cbFil_id_venta]:checked").val() + "&vv=" + $('#cbAgenteVentas').val()
                     + "&fa=" + $("input[name=cbFil_id_agen]:checked").val() + "&va=" + $('#cbEmpresa').val()
                     + "&fm=" + $("input[name=cbFil_id_merc]:checked").val() + "&vm=" + $('#cbMercado').val()
                     + "&ft=" + $("input[name=cbFil_id_cont]:checked").val() + "&vt=" + $('#cbContrato').val()
                     + "&fi=" + $("input[name=cbFil_id_ralo]:checked").val() + "&vi=" + $('#cbRegAloj').val()
                     + "&fo=" + $("input[name=cbFil_id_oper]:checked").val() + "&vo=" + $('#cbOperador').val()
                     + "&fc=" + $("input[name=cbFil_id_naci]:checked").val() + "&vc=" + $('#cbNacionalidad').val()
                     + "&fno=" + $("input[name=cbFil_nombre]:checked").val() + "&vno=" + $('#txtFil_nombre').val()
                     + "&fob=" + $("input[name=cbFil_observaciones]:checked").val() + "&vob=" + $('#txtFil_observaciones').val()
                     + "&fre=" + $("input[name=cbFil_referencia]:checked").val() + "&vre=" + $('#txtFil_referencia').val()
                     + "&ffr=" + $("input[name=cbFil_fecha_reserva]:checked").val()
                     + "&vfr=" + $('#txtFil_fecha_reserva').val() + "&vfr2=" + $('#txtFil_fecha_reserva2').val()
                     + "&fq=" + $("input[name=cbFil_id_origen]:checked").val() + "&vq=" + $('#cbOrigen').val()
                     + "&eck=" + $("input[name=cbFil_check_in]:checked").val()
                     + "&ens=" + $("input[name=cbFil_no_show]:checked").val()
                     + "&ean=" + $("input[name=cbFil_anulada]:checked").val()
                     + "&ero=" + $("input[name=cbFil_rooming]:checked").val()
                     + "&etr=" + $("input[name=cbFil_traslado]:checked").val()
            , '_blank');
        }
        
        function ReseOri(id) {
            window.open("Informe.aspx?r=200&id=" + id, "_blank");
        }

        function ReseHist(id) {
            window.open("Informe.aspx?r=710&m=1&id=" + id, "_blank");
        }

        function RoomOri(id) {
            window.open("Informe.aspx?r=210&id=" + id + "&d=0&v=0", "_blank");
        }

        function RoomHist(id) {
            window.open("Informe.aspx?r=710&m=2&id=" + id, "_blank");
        }

        function Recuperar() {
            $.ajax({
                url: 'Servicio.svc/RecuperarReserva',
                data: {
                      "id_elem": $('#IdSubElementRID').val()
                    , "tipo": $('#IdSubElementTP').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $('#dlgRecuperar').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        $('#IdSubElementRRH').val(0);
                        $('#IdSubElementRID').val(0);
                        $('#IdSubElementTP').val(0);
                        RefreshGridRRH();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function NuevaReserva()
        {
            if ($('#IdSubElementTP').val() == "RE")
            {
                window.open("Reservas.aspx?u=" + $('#IdSubElementRID').val(), "_blank");
            }
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 550,
                modal: true
            });

            $("#dlgRecuperar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENRecover") %>": function () {
                        Recuperar();
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 7);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridRRH();

            <% if(!string.IsNullOrEmpty(Request.QueryString["n"])){ %>

            $('#cbFil_nombre').prop('checked', true);
            $('#txtFil_nombre').val('<%=Request.QueryString["n"] %>');
            RefreshGridRRH();

            <% } %>
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M8';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="HistoricoReservasRooming.aspx"><%=L.TIT("HistoricoReservasRooming") %> [7.2]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 800px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgRecuperar" title="<%=L.LBL("LblGENRecover") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("HRR_RECOVER") %>
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("HistoricoReservasRooming") %> [7.2]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ListadoRRH();" id="A2">
                                                <img src="img/printer.png" />
                                                <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/7-2-reservas-rooming-list/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <fieldset>
                    <legend><b><%=L.LBL("LblGENCriteriosSeleccion") %></b></legend>

                    <table style="text-align: left;">
                        <tr>
                            <td colspan="2">
                                
                            </td>
                            <td style="text-align: center;">
                                <b><%=L.LBL("LblGENStart") %></b>
                            </td>
                            <td style="text-align: center;">
                                <b><%=L.LBL("LblGENEnd") %></b>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_nro_reserva" name="cbFil_nro_reserva" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKNroReserva") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_nro_reserva" value="" onchange="$('input[name=cbFil_nro_reserva]').prop('checked', true);"
                                    style="width: 70px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_nro_reserva2" value="" onchange="$('input[name=cbFil_nro_reserva]').prop('checked', true);"
                                    style="width: 70px;" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_agen" name="cbFil_id_agen" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENCompany") %>:
                            </td>
                            <td>
                                <%=cbEmpresa %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_nombre" name="cbFil_nombre" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_nombre" value="" onchange="$('input[name=cbFil_nombre]').prop('checked', true);"
                                    style="width: 120px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_nro_rooming" name="cbFil_nro_rooming" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKNroRooming") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_nro_rooming" value="" onchange="$('input[name=cbFil_nro_rooming]').prop('checked', true);"
                                    style="width: 70px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_nro_rooming2" value="" onchange="$('input[name=cbFil_nro_rooming]').prop('checked', true);"
                                    style="width: 70px;" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_merc" name="cbFil_id_merc" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSMercado") %>:
                            </td>
                            <td>
                                <%=cbMercado %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_observaciones" name="cbFil_observaciones" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENObservations") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_observaciones" value="" onchange="$('input[name=cbFil_observaciones]').prop('checked', true);"
                                    style="width: 120px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_ent" name="cbFil_fecha_ent" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKEntrada") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent" onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent2" onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_cont" name="cbFil_id_cont" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENTarifa") %>:
                            </td>
                            <td>
                                <select name="cbContrato" id="cbContrato" onchange="$('input[name=cbFil_id_cont]').prop('checked', true);" style="width: 150px;">
                                    <option value="0" selected="selected" />
                                    <%
                                        foreach (System.Data.DataRow dr in Contratos.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
                                        }
                                    %>
                                </select>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_referencia" name="cbFil_referencia" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENReference") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_referencia" value="" onchange="$('input[name=cbFil_referencia]').prop('checked', true);"
                                    style="width: 120px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_sal" name="cbFil_fecha_sal" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSalida") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal" onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal2" onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_ralo" name="cbFil_id_ralo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXRegimen") %>:
                            </td>
                            <td>
                                <%=cbRegAloj %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_venta" name="cbFil_id_venta" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSAgenteVentas") %>:
                            </td>
                            <td>
                                <%=cbAgenteVentas %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_anul" name="cbFil_fecha_anul" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENAnulacion") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_anul" onchange="$('input[name=cbFil_fecha_anul]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_anul2" onchange="$('input[name=cbFil_fecha_anul]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_oper" name="cbFil_id_oper" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENUser") %>:
                            </td>
                            <td>
                                <%=cbOperador %>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_origen" name="cbFil_id_origen" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENOrigen") %>:
                            </td>
                            <td>
                                <%=cbOrigen %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_reserva" name="cbFil_fecha_reserva" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSFecReservaAbbr") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_reserva" onchange="$('input[name=cbFil_fecha_reserva]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_reserva2" onchange="$('input[name=cbFil_fecha_reserva]').prop('checked', true);"
                                    style="width: 70px;" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_naci" name="cbFil_id_naci" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXNacionalidad") %>:
                            </td>
                            <td>
                                <%=cbNacionalidad %>
                            </td>
                            <td colspan="3">
                                <fieldset>
                                    <table>
                                        <tr>
                                            <td>
                                                <input type="checkbox" id="cbFil_check_in" name="cbFil_check_in" title="<%=L.LBL("LblFDKESRECheckIn") %>" 
                                                    value="1" checked="checked" />
                                            </td>
                                            <td>
                                                <img src="img/tick.png" title="<%=L.LBL("LblFDKESRECheckIn") %>" alt="<%=L.LBL("LblFDKESRECheckIn") %>" />
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbFil_no_show" name="cbFil_no_show" title="<%=L.LBL("LblFDKNoShow") %>" value="1" 
                                                    checked="checked" />
                                            </td>
                                            <td>
                                                <img src="img/Seven/FDK/NoShows.png" title="<%=L.LBL("LblFDKNoShow") %>" alt="<%=L.LBL("LblFDKNoShow") %>" />
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbFil_anulada" name="cbFil_anulada" title="<%=L.LBL("LblFDKESREAnulada") %>" value="1" />
                                            </td>
                                            <td>
                                                <img src="img/cross.png" title="<%=L.LBL("LblFDKESREAnulada") %>" alt="<%=L.LBL("LblFDKESREAnulada") %>" />
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbFil_rooming" name="cbFil_rooming" title="<%=L.LBL("LblFDKRoomingList") %>" value="1" />
                                            </td>
                                            <td>
                                                <img src="img/Seven/FDK/RoomList.png" title="<%=L.LBL("LblFDKRoomingList") %>" alt="<%=L.LBL("LblFDKRoomingList") %>" />
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbFil_traslado" name="cbFil_traslado" title="<%=L.LBL("LblFDKESRETraslado") %>" value="1" />
                                            </td>
                                            <td>
                                                <img src="img/Seven/ReseRooming.png" title="<%=L.LBL("LblFDKESRETraslado") %>" alt="<%=L.LBL("LblFDKESRETraslado") %>" />
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <input type="hidden" id="IdSubElementRRH" value="0" />
                <input type="hidden" id="IdSubElementRID" value="0" />
                <input type="hidden" id="IdSubElementTP" value="0" />
                <table id="jqgRRH"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnNuevaRese" onclick="NuevaReserva();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/FDK/Reservas.png" alt="<%=L.LBL("LblFDKHRRNuevaReserva") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblFDKHRRNuevaReserva") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnRecuperarRRH" onclick="$('#dlgRecuperar').dialog('open');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/recuperar.png" alt="<%=L.LBL("LblGENRecover") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENRecover") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnImprimirRRH" onclick="ListadoRRH();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENPrint") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnAplicarRRH" onclick="RefreshGridRRH();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/lightning.png" alt="<%=L.LBL("LblGENAplicar") %>" /></td>
                                                        <td><%=L.LBL("LblGENAplicar") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

