﻿<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="PronosticoTarifas.aspx.cs" Inherits="Seven.Front.PronosticoTarifas" EnableEventValidation="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title><%=L.TIT("PronosticoTarifas") %> [4.7]</title>
    
    <script type="text/javascript">

        function Ver()
        {
            window.open("Informe.aspx?r=350&s=" + $('#txtFecIni').val() +
                "&f=" + $('#txtFecFin').val() +
                "&t=" + $('#cbContrato').val() +
                "&re=" + $('#cbRelease:checked').val()
            , "_blank");
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

            $('#cbContrato').val('<%=id_cont %>');

            $(".eligeFechaHotel").datepicker({
                showOn: "button",
                buttonImage: "css/Themes/Fall/calendar.png",
                buttonImageOnly: true,
                firstDay: 0,
                changeYear: true, 
                changeMonth: true,
                minDate: new Date(<%=fecha_hotelera.Year %>, <%=fecha_hotelera.Month %> - 1, <%=fecha_hotelera.Day %>)
            });

        });

    </script>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.TIT("PronosticoTarifas") %> [4.7]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
        
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 370px; height: 250px;">

                <br />

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("PronosticoTarifas") %> [4.7]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-7-pron%C3%B3stico-por-contrato/', '_blank');" id="A1" >
                                                <img src="../img/question.png" /> <%=L.LBL("LblGENHelp") %>
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <fieldset>

                    <table>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENStart") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFecIni" value="<%=String.Format("{0:d}", FecIni) %>" class="eligeFechaHotel" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENEnd") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFecFin" value="<%=String.Format("{0:d}", FecFin) %>" class="eligeFechaHotel" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENTarifa") %>
                            </td>
                            <td>
                                <select name="cbContrato" id="cbContrato" onchange="" style="width: 300px;">
                                    <%
                                        foreach (System.Data.DataRow dr in Contratos.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
                                        }
                                    %>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbRelease" value="1" <%=Release == 1 ? "checked=\"checked\"" : "" %> /> 
                            </td>
                            <td>
                                <%=L.LBL("LblFDKPRONRespetarRelease") %>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td style="width: 100%;"></td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

            </div>
                    
        </div>
                
    </div>

</asp:Content>
