﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="DetalleTipoHabitacion.aspx.cs" Inherits="Seven.Front.DetalleTipoHabitacion" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("DetalleTipoHabitacion") %> [4.1]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para OcupTipoHabi */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function LinkFormatter(cellvalue, options, rowObject) {
            var nro = options.rowId.split("-");
            var link = "";
            if (nro[0] == "RE")
            {
                link = "Reservas.aspx?n=" + nro[1];
            }
            else if (nro[0] == "RL")
            {
                link = "RoomingList.aspx?n=" + nro[1];
            }
            else {
                link = "OperacionesHabitaciones.aspx?n=" + nro[1];
            }
            return "<a href='#' onclick=" + '"' + "window.open('" + link + "', '_blank');" + '"' + " style='color: blue;' >" + options.rowId + "</a>";
        };

        function LinkHabAsigFormatter(cellvalue, options, rowObject) {
            var nro = rowObject[1].split(" ")[0].split("-");
            var link = "";
            if (nro[0] == "RE") {
                link = "Reservas.aspx?n=" + nro[1];
            }
            else if (nro[0] == "RL") {
                link = "RoomingList.aspx?n=" + nro[1];
            }
            else {
                link = "OperacionesHabitaciones.aspx?n=" + nro[1];
            }
            return "<a href='#' onclick=" + '"' + "window.open('" + link + "', '_blank');" + '"' + " style='color: blue;' >" + rowObject[1] + "</a>";
        };

        function GetDTH() {
            $.ajax({
                url: 'Servicio.svc/GetDetalleTipoHabitacion',
                data: {
                    "id_thab": $('#cbTipoHabi').val(), "fecha": $('#txtFecha').val(), "modo": 1
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function()
                {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    try {
                        $("#jqgDTH").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDTH")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDTH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDTH() {

            var lselDTH;
            var colMap = {};
            $("#jqgDTH").jqGrid({
                datatype: 'local',
                height: 340,
                width: 780,
                colNames: ['<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblGENTarifa") %>', '<%=L.LBL("LblGENName") %>'
                    , '<%=L.LBL("LblFDKHabAbbr") %>', '', '', '', '<%=L.LBL("LblFDKEntrada") %>', '<%=L.LBL("LblGENSalida") %>'
                    , 'VIP', '', '<%=L.LBL("LblFDKSPrepago") %>', ''],
                colModel: [
                            { name: 'nro', index: 'nro', width: 10, editable: false, formatter: LinkFormatter },
                            { name: 'desc_estado', index: 'desc_estado', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'contrato', index: 'contrato', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Nombre', index: 'Nombre', width: 25, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cant_habi', index: 'cant_habi', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'precio_hab', index: 'precio_hab', width: 10, search: false, hidden: true },
                            { name: 'max_adultos', index: 'max_adultos', width: 10, search: false, hidden: true },
                            { name: 'max_ninos', index: 'max_ninos', width: 10, search: false, hidden: true },
                            { name: 'fecha_ent', index: 'fecha_ent', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_sal', index: 'fecha_sal', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'vip', index: 'vip', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: 'True:False' }, formatoptions: { disabled: true }
                            },
                            { name: 'observaciones', index: 'observaciones', width: 10, editable: true, search: false, hidden: true },
                            {
                                name: 'id_dega', index: 'id_dega', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: '1:0' }, formatoptions: { disabled: true }
                            },
                            { name: 'cupo_tot', index: 'cupo_tot', width: 10, editable: true, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDTH) && !isNaN(id)) {
                            $("#jqgDTH").jqGrid('delRowData', lselDTH);
                            //$('#jqgDTH').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDTH").jqGrid('getRowData', id);

                            $('#jqgDTH').jqGrid('restoreRow', lselDTH);
                        }

                        lselDTH = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDTH)) {
                            $("#jqgDTH").jqGrid('delRowData', lselDTH);
                            $('#jqgDTH').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDTH').jqGrid('saveRow', lselDTH);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDTH').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function()
                {  
                    $('#txtDTHCantHabi').val($('#jqgDTH').jqGrid('getCol', 'cant_habi', false, 'sum'));
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Código del jqGrid para OcupTipoHabi */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDTH2() {
            $.ajax({
                url: 'Servicio.svc/GetDetalleTipoHabitacion',
                data: {
                    "id_thab": $('#cbTipoHabi').val(), "fecha": $('#txtFecha').val(), "modo": 2
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    try {
                        $("#jqgDTH2").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDTH2")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDTH2").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDTH2() {

            var lselDTH2;
            var colMap = {};
            $("#jqgDTH2").jqGrid({
                datatype: 'local',
                height: 340,
                width: 780,
                colNames: ['<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblGENTarifa") %>', '<%=L.LBL("LblGENName") %>'
                    , '<%=L.LBL("LblFDKHabAbbr") %>', '', '', '', '<%=L.LBL("LblFDKEntrada") %>', '<%=L.LBL("LblGENSalida") %>'
                    , 'VIP', '', '<%=L.LBL("LblFDKSPrepago") %>', ''],
                colModel: [
                            { name: 'nro', index: 'nro', width: 10, editable: false, formatter: LinkFormatter },
                            { name: 'desc_estado', index: 'desc_estado', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'contrato', index: 'contrato', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Nombre', index: 'Nombre', width: 25, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cant_habi', index: 'cant_habi', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'precio_hab', index: 'precio_hab', width: 10, search: false, hidden: true },
                            { name: 'max_adultos', index: 'max_adultos', width: 10, search: false, hidden: true },
                            { name: 'max_ninos', index: 'max_ninos', width: 10, search: false, hidden: true },
                            { name: 'fecha_ent', index: 'fecha_ent', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_sal', index: 'fecha_sal', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'vip', index: 'vip', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: 'True:False' }, formatoptions: { disabled: true }
                            },
                            { name: 'observaciones', index: 'observaciones', width: 10, editable: true, search: false, hidden: true },
                            {
                                name: 'id_dega', index: 'id_dega', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: '1:0' }, formatoptions: { disabled: true }
                            },
                            { name: 'cupo_tot', index: 'cupo_tot', width: 10, editable: true, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDTH2) && !isNaN(id)) {
                            $("#jqgDTH2").jqGrid('delRowData', lselDTH2);
                            //$('#jqgDTH2').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDTH2").jqGrid('getRowData', id);

                            $('#jqgDTH2').jqGrid('restoreRow', lselDTH2);
                        }

                        lselDTH2 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDTH2)) {
                            $("#jqgDTH2").jqGrid('delRowData', lselDTH2);
                            $('#jqgDTH2').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDTH2').jqGrid('saveRow', lselDTH2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDTH2').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    $('#txtDTH2CantHabi').val($('#jqgDTH2').jqGrid('getCol', 'cant_habi', false, 'sum'));
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Código del jqGrid para OcupTipoHabi */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDTH3() {
            $.ajax({
                url: 'Servicio.svc/GetDetalleTipoHabitacion',
                data: {
                    "id_thab": $('#cbTipoHabi').val(), "fecha": $('#txtFecha').val(), "modo": 3
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    try {
                        $("#jqgDTH3").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDTH3")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDTH3").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDTH3() {

            var lselDTH3;
            var colMap = {};
            $("#jqgDTH3").jqGrid({
                datatype: 'local',
                height: 340,
                width: 780,
                colNames: ['<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblGENTarifa") %>', '<%=L.LBL("LblGENName") %>'
                    , '<%=L.LBL("LblFDKHabAbbr") %>', '', '', '', '<%=L.LBL("LblFDKEntrada") %>', '<%=L.LBL("LblGENSalida") %>'
                    , 'VIP', '', '<%=L.LBL("LblFDKSPrepago") %>', ''],
                colModel: [
                            { name: 'nro', index: 'nro', width: 10, editable: false, formatter: LinkFormatter },
                            { name: 'desc_estado', index: 'desc_estado', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'contrato', index: 'contrato', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Nombre', index: 'Nombre', width: 25, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cant_habi', index: 'cant_habi', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'precio_hab', index: 'precio_hab', width: 10, search: false, hidden: true },
                            { name: 'max_adultos', index: 'max_adultos', width: 10, search: false, hidden: true },
                            { name: 'max_ninos', index: 'max_ninos', width: 10, search: false, hidden: true },
                            { name: 'fecha_ent', index: 'fecha_ent', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_sal', index: 'fecha_sal', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'vip', index: 'vip', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: 'True:False' }, formatoptions: { disabled: true }
                            },
                            { name: 'observaciones', index: 'observaciones', width: 10, editable: true, search: false, hidden: true },
                            {
                                name: 'id_dega', index: 'id_dega', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: '1:0' }, formatoptions: { disabled: true }
                            },
                            { name: 'cupo_tot', index: 'cupo_tot', width: 10, editable: true, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDTH3) && !isNaN(id)) {
                            $("#jqgDTH3").jqGrid('delRowData', lselDTH3);
                            //$('#jqgDTH3').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDTH3").jqGrid('getRowData', id);

                            $('#jqgDTH3').jqGrid('restoreRow', lselDTH3);
                        }

                        lselDTH3 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDTH3)) {
                            $("#jqgDTH3").jqGrid('delRowData', lselDTH3);
                            $('#jqgDTH3').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDTH3').jqGrid('saveRow', lselDTH3);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDTH3').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    $('#txtDTH3CantHabi').val($('#jqgDTH3').jqGrid('getCol', 'cant_habi', false, 'sum'));
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Código del jqGrid para OcupTipoHabi */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDTH4() {
            $.ajax({
                url: 'Servicio.svc/GetDetalleTipoHabitacion',
                data: {
                    "id_thab": $('#cbTipoHabi').val(), "fecha": $('#txtFecha').val(), "modo": 5
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    try {
                        $("#jqgDTH4").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDTH4")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDTH4").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDTH4() {

            var lselDTH4;
            var colMap = {};
            $("#jqgDTH4").jqGrid({
                datatype: 'local',
                height: 340,
                width: 780,
                colNames: ['<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblGENTarifa") %>', '<%=L.LBL("LblGENName") %>'
                    , '<%=L.LBL("LblFDKHabAbbr") %>', '', '<%=L.LBL("LblFDKEntrada") %>', '<%=L.LBL("LblGENSalida") %>'
                    , 'VIP', '', '<%=L.LBL("LblFDKSPrepago") %>', ''],
                colModel: [
                            { name: 'nro', index: 'nro', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'desc_estado', index: 'desc_estado', width: 15, editable: false, formatter: LinkHabAsigFormatter },
                            { name: 'contrato', index: 'contrato', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Nombre', index: 'Nombre', width: 25, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cant_habi', index: 'cant_habi', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'precio_hab', index: 'precio_hab', width: 10, search: false, hidden: true },
                            { name: 'fecha_ent', index: 'fecha_ent', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_sal', index: 'fecha_sal', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'vip', index: 'vip', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: 'True:False' }, formatoptions: { disabled: true }
                            },
                            { name: 'observaciones', index: 'observaciones', width: 10, editable: true, search: false, hidden: true },
                            {
                                name: 'id_dega', index: 'id_dega', width: 5, editable: false, align: 'center',
                                edittype: 'checkbox', formatter: 'checkbox',
                                editoptions: { value: '1:0' }, formatoptions: { disabled: true }
                            },
                            { name: 'cupo_tot', index: 'cupo_tot', width: 10, editable: true, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDTH4) && !isNaN(id)) {
                            $("#jqgDTH4").jqGrid('delRowData', lselDTH4);
                            //$('#jqgDTH4').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDTH4").jqGrid('getRowData', id);

                            $('#jqgDTH4').jqGrid('restoreRow', lselDTH4);
                        }

                        lselDTH4 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDTH4)) {
                            $("#jqgDTH4").jqGrid('delRowData', lselDTH4);
                            $('#jqgDTH4').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDTH4').jqGrid('saveRow', lselDTH4);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDTH4').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    $('#txtDTH4CantHabi').val($('#jqgDTH4').jqGrid('getCol', 'cant_habi', false, 'sum'));
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Código del jqGrid para OcupTipoHabi */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDTHFO() {
            $.ajax({
                url: 'Servicio.svc/GetDetalleTipoHabitacion',
                data: {
                    "id_thab": $('#cbTipoHabi').val(), "fecha": $('#txtFecha').val(), "modo": 4
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando6').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando6').dialog('close');
                    try {
                        $("#jqgDTHFO").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDTHFO")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDTHFO").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDTHFO() {

            var lselDTHFO;
            var colMap = {};
            $("#jqgDTHFO").jqGrid({
                datatype: 'local',
                height: 340,
                width: 780,
                colNames: ['<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblGENStart") %>', '<%=L.LBL("LblGENEnd") %>'
                    , '<%=L.LBL("LblGENMotivo") %>', ''],
                colModel: [
                            { name: 'nro', index: 'nro', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_ent', index: 'fecha_ent', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_sal', index: 'fecha_sal', width: 9, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Nombre', index: 'Nombre', width: 72, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cupo_tot', index: 'cupo_tot', width: 10, editable: true, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDTHFO) && !isNaN(id)) {
                            $("#jqgDTHFO").jqGrid('delRowData', lselDTHFO);
                            //$('#jqgDTHFO').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDTHFO").jqGrid('getRowData', id);

                            $('#jqgDTHFO').jqGrid('restoreRow', lselDTHFO);
                        }

                        lselDTHFO = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDTHFO)) {
                            $("#jqgDTHFO").jqGrid('delRowData', lselDTHFO);
                            $('#jqgDTHFO').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDTHFO').jqGrid('saveRow', lselDTHFO);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDTHFO').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    $('#txtDTHFOCantHabi').val($("#jqgDTHFO").jqGrid('getGridParam', 'records'));
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Código del jqGrid para OcupTipoHabi */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDTHD() {
            $.ajax({
                url: 'Servicio.svc/GetDetalleTipoHabitacion',
                data: {
                    "id_thab": $('#cbTipoHabi').val(), "fecha": $('#txtFecha').val(), "modo": 6
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando7').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando7').dialog('close');
                    try {
                        $("#jqgDTHD").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDTHD")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDTHD").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDTHD() {

            var lselDTHD;
            var colMap = {};
            $("#jqgDTHD").jqGrid({
                datatype: 'local',
                height: 340,
                width: 780,
                colNames: ['<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblGENEstado") %>', '<%=L.LBL("LblGENTipoHab") %>', '<%=L.LBL("LblGENDescription") %>', ''],
                colModel: [
                            { name: 'nro', index: 'nro', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'desc_estado', index: 'desc_estado', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'contrato', index: 'contrato', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'Nombre', index: 'Nombre', width: 25, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cupo_tot', index: 'cupo_tot', width: 10, editable: true, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDTHD) && !isNaN(id)) {
                            $("#jqgDTHD").jqGrid('delRowData', lselDTHD);
                            //$('#jqgDTHD').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDTHD").jqGrid('getRowData', id);

                            $('#jqgDTHD').jqGrid('restoreRow', lselDTHD);
                        }

                        lselDTHD = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDTHD)) {
                            $("#jqgDTHD").jqGrid('delRowData', lselDTHD);
                            $('#jqgDTHD').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDTHD').jqGrid('saveRow', lselDTHD);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDTHD').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    $('#txtDTHDCantHabi').val($("#jqgDTHD").jqGrid('getGridParam', 'records'));
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Código del jqGrid para OcupTipoHabi */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDTHT() {
            $.ajax({
                url: 'Servicio.svc/GetDetalleTipoHabitacion',
                data: {
                    "id_thab": $('#cbTipoHabi').val(), "fecha": $('#txtFecha').val(), "modo": 7
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando8').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando8').dialog('close');
                    try {
                        $("#jqgDTHT").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDTHT")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDTHT").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDTHT() {

            var lselDTHT;
            var colMap = {};
            $("#jqgDTHT").jqGrid({
                datatype: 'local',
                height: 340,
                width: 780,
                colNames: ['<%=L.LBL("LblGENCompany") %>', '<%=L.LBL("LblGENTarifa") %>', '<%=L.LBL("LblFDKSCupos") %>', '<%=L.LBL("LblFDKSRelease") %>'
                    , '<%=L.LBL("LblFDKReservadas") %>', '<%=L.LBL("LblFDKOcupadas") %>', '<%=L.LBL("LblFDKDTHTotal") %>', '<%=L.LBL("LblFDKDTHTotalCupo") %>'
                    , '<%=L.LBL("LblFDKLibres") %>'],
                colModel: [
                            
                            { name: 'desc_estado', index: 'desc_estado', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'contrato', index: 'contrato', width: 15, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cant_habi', index: 'cant_habi', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'precio_hab', index: 'precio_hab', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'nro', index: 'nro', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'max_adultos', index: 'max_adultos', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'max_ninos', index: 'max_ninos', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_dega', index: 'id_dega', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cupo_tot', index: 'cupo_tot', width: 10, editable: true, editable: true, searchoptions: { sopt: ListFindN } }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDTHT) && !isNaN(id)) {
                            $("#jqgDTHT").jqGrid('delRowData', lselDTHT);
                            //$('#jqgDTHT').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDTHT").jqGrid('getRowData', id);

                            $('#jqgDTHT').jqGrid('restoreRow', lselDTHT);
                        }

                        lselDTHT = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDTHT)) {
                            $("#jqgDTHT").jqGrid('delRowData', lselDTHT);
                            $('#jqgDTHT').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDTHT').jqGrid('saveRow', lselDTHT);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDTHT').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    $('#txtDTHTCantHabi').val($("#jqgDTHT").jqGrid('getGridParam', 'records'));
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        function Ver() {
            window.location.href = "DetalleTipoHabitacion.aspx?t=" + $('#cbTipoHabi').val() + "&f=" + $('#txtFecha').val();
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#OcupacionTabs').tabs();

            $('#cbTipoHabi').val(<%=id_thab %>);

            LoadGridDTH();
            LoadGridDTH2();
            LoadGridDTH3();
            LoadGridDTH4();
            LoadGridDTHFO();
            LoadGridDTHD();
            LoadGridDTHT();

            GetDTH();
            GetDTH2();
            GetDTH3();
            GetDTH4();
            GetDTHFO();
            GetDTHD();
            GetDTHT();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="DetalleTipoHabitacion.aspx"><%=L.TIT("DetalleTipoHabitacion") %> [4.1]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 800px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("DetalleTipoHabitacion") %> [4.1]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('window.open('http://mysevenmanuales.jimdo.com/front-desk/4-1-pron%C3%B3stico-por-tipo-de-habitacion/', '_blank');', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table>
                    <tr>
                        <td>
                            <%=L.LBL("LblGENTipoHab") %>:
                        </td>
                        <td>
                            <%=cbTipoHabi %>
                        </td>
                        <td>
                            <%=L.LBL("LblGENDate") %>:
                        </td>
                        <td>
                            <input type="text" id="txtFecha" value="<%=string.Format("{0:d}", Fecha) %>" class="eligeFecha" />
                        </td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <br />

                <div id="OcupacionTabs" style="padding: 0px; height: 500px;">
                    <ul>
                        <li>
                            <a href="#OcuRes">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/Reservas.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKDTHOcupadasReservadas") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#ListaEsp">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/ReseSolicitada.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKListaEspera") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Salidas">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/RoomList.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKSalidas") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#FueraOrden">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/BloqHab.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKFueraOrden") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#HabAsig">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/PreasigHab.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKROOMConHabAsig") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Disponibles">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/Casa.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENDisponibles") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Contratos">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/Libro.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.TIT("Tarifas") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="OcuRes">
                        <table id="jqgDTH"></table>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKTotalHabitaciones") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtDTHCantHabi" value="0" style="color: red; font-weight: bold; width: 70px; text-align: right;" />
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="ListaEsp">
                        <table id="jqgDTH2"></table>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKTotalHabitaciones") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtDTH2CantHabi" value="0" style="color: red; font-weight: bold; width: 70px; text-align: right;" />
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="Salidas">
                        <table id="jqgDTH3"></table>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKTotalHabitaciones") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtDTH3CantHabi" value="0" style="color: red; font-weight: bold; width: 70px; text-align: right;" />
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="FueraOrden">
                        <table id="jqgDTHFO"></table>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKTotalHabitaciones") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtDTHFOCantHabi" value="0" style="color: red; font-weight: bold; width: 70px; text-align: right;" />
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="HabAsig">
                        <table id="jqgDTH4"></table>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKTotalHabitaciones") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtDTH4CantHabi" value="0" style="color: red; font-weight: bold; width: 70px; text-align: right;" />
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="Disponibles">
                        <table id="jqgDTHD"></table>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKTotalHabitaciones") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtDTHDCantHabi" value="0" style="color: red; font-weight: bold; width: 70px; text-align: right;" />
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="Contratos">
                        <table id="jqgDTHT"></table>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKTotalHabitaciones") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtDTHTCantHabi" value="0" style="color: red; font-weight: bold; width: 70px; text-align: right;" />
                                </td>
                            </tr>
                        </table>
                    </div>

                </div>


            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

