﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="PronosticoTipoHabitacionCompW.aspx.cs" 
    Inherits="Seven.Front.PronosticoTipoHabitacionCompW" EnableEventValidation="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title><%=L.TIT("PronosticoTipoHabitacion") %> - <%=L.LBL("LblGENComparativo") %> [4.1]</title>

    <script type="text/javascript">

        function Ver() {
            $("#dlgCargando").dialog('open');
            window.location.href = "PronosticoTipoHabitacionCompW.aspx?s=" + $('#txtFecIni').val() +
                "&f=" + $('#txtFecFin').val() +
                "&m=" + $('input[name=rbContrato]:checked').val() +
                "&q=" + $('#cbCupos:checked').val() +
                "&r=" + $('#cbRelease:checked').val() +
                "&t=" + $('#cbContrato').val() +
                "&q2=" + $('#cbSolicitadas:checked').val() +
                "&c=" + $('#cbConfirmadas:checked').val() +
                "&l=" + $('#cbListaEsp:checked').val() + 
                "&g=" + $('#cbGrupoDisp').val() +
                "&o=" + $('input[name=rbOcupacion]:checked').val() + 
                "&a=" + $('input[name=rbReal]:checked').val() +
                "&s2=" + $('#txtFecIni2').val() +
                "&f2=" + $('#txtFecFin2').val() +
                "&a2=" + $('input[name=rbReal2]:checked').val();
        }

        function Informe() {
            window.open("Informe.aspx?r=300&s=" + $('#txtFecIni').val() +
                "&f=" + $('#txtFecFin').val() +
                "&m=" + $('input[name=rbContrato]:checked').val() +
                "&q=" + $('#cbCupos:checked').val() +
                "&re=" + $('#cbRelease:checked').val() +
                "&t=" + $('#cbContrato').val() +
                "&q2=" + $('#cbSolicitadas:checked').val() +
                "&c=" + $('#cbConfirmadas:checked').val() +
                "&l=" + $('#cbListaEsp:checked').val() +
                "&g=" + $('#cbGrupoDisp').val() +
                "&o=" + $('input[name=rbOcupacion]:checked').val() +
                "&a=" + $('input[name=rbReal]:checked').val()
            , "_blank");
        }

        function VerSimp() {
            $("#dlgCargando").dialog('open');
            window.location.href = "PronosticoTipoHabitacionW.aspx?s=" + $('#txtFecIni').val() +
                "&f=" + $('#txtFecFin').val() +
                "&m=" + $('input[name=rbContrato]:checked').val() +
                "&q=" + $('#cbCupos:checked').val() +
                "&r=" + $('#cbRelease:checked').val() +
                "&t=" + $('#cbContrato').val() +
                "&q2=" + $('#cbSolicitadas:checked').val() +
                "&c=" + $('#cbConfirmadas:checked').val() +
                "&l=" + $('#cbListaEsp:checked').val() +
                "&g=" + $('#cbGrupoDisp').val() +
                "&o=" + $('input[name=rbOcupacion]:checked').val() +
                "&a=" + $('input[name=rbReal]:checked').val();
        }

        function Informe2() {
            window.open("Informe.aspx?r=300&s=" + $('#txtFecIni2').val() +
                "&f=" + $('#txtFecFin2').val() +
                "&m=" + $('input[name=rbContrato]:checked').val() +
                "&q=" + $('#cbCupos:checked').val() +
                "&re=" + $('#cbRelease:checked').val() +
                "&t=" + $('#cbContrato').val() +
                "&q2=" + $('#cbSolicitadas:checked').val() +
                "&c=" + $('#cbConfirmadas:checked').val() +
                "&l=" + $('#cbListaEsp:checked').val() +
                "&g=" + $('#cbGrupoDisp').val() +
                "&o=" + $('input[name=rbOcupacion]:checked').val() +
                "&a=" + $('input[name=rbReal2]:checked').val()
            , "_blank");
        }

        function PTHDialog(ocup, fecha, idthab, thab, ford, ocudis, res, sal, tot, lib) {
            $('#PTHFord').html(ford);
            $('#PTHFecha').html(fecha);
            $('#IdSubElementTH').val(idthab);
            $('#PTHTipoHab').html(thab);
            $('#PTHOcupDisp').html(ocudis);
            $('#PTHReserv').html(res);
            $('#PTHSalidas').html(sal);
            $('#PTHTotal').html(tot);
            $('#PTHLibres').html(lib);
            $("#dlgInfo").dialog('open');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgInfo").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 300,
                width: 350,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENDetalle") %>": function ()
                    {
                        window.open("DetalleTipoHabitacion.aspx?t=" + $('#IdSubElementTH').val() + "&f=" + $('#PTHFecha').html(), "_blank");
                    },
                    "<%=L.LBL("LblGENClose") %>": function () {
                        $("#dlgInfo").dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

            $('#cbGrupoDisp').val(<%=id_disp %>);
            $('#cbContrato').val(<%=id_cont %>);

        });

    </script>

    <style type="text/css">
        .tblPTH
        {
            border-bottom:0;
            border-left:0;
            font-size: 9pt;
            table-layout: fixed;
        }

        .tblPTH thead tr {
            display: block;
            position: relative;
        }

        .tblPTH tbody {
            display: block;
            overflow-x: hidden;
            overflow-y: auto;
            width: 100%;
            height: 450px;
        }

        .tblPTH td
        {
            min-width: 100px;
            text-align: center;
            white-space: nowrap;
            border: 1px solid #B3B1B1;
            border-top:0;
            border-right:0;
            cursor: pointer;
            background-color: white;
        }

        .tblPTH th
        {
            min-width: 100px;
            text-align: center;
            white-space: nowrap;
            border: 1px solid #B3B1B1;
            /*border-top:0;*/
            border-right:0;
            font-weight: bold;
            font-style: italic;
        }

        .titPTH
        {
            font-weight: bold;
            text-decoration: underline;
            color: blue;
        }
    </style>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.TIT("PronosticoTipoHabitacion") %> - <%=L.LBL("LblGENComparativo") %> [4.1]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>

    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 1000px; height: 950px;">

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgInfo" title="<%=L.LBL("LblGENInformation") %>" style="padding-top: 25px">
                    <input type="hidden" id="IdSubElementTH" value="0"/>
                    <table style="width:100%;">
                        <tr>
                            <td><b><%=L.LBL("LblGENDate") %>:</b></td>
                            <td>
                                <span id="PTHFecha" style="font-weight: bold; color: maroon;"></span>
                            </td>
                        </tr>
                        <tr>
                            <td><b><%=L.LBL("LblGENRoomType") %>:</b></td>
                            <td>
                                <span id="PTHTipoHab" style="font-weight: bold; color: purple;"></span>
                            </td>
                        </tr>
                        <tr>
                            <td><b><%=L.LBL("LblFDKFueraOrden") %>:</b></td>
                            <td>
                                <span id="PTHFord"></span>
                            </td>
                        </tr>
                        <tr>
                            <td><b><%=L.LBL("LblFDKOcupadas") %>:</b></td>
                            <td>
                                <span id="PTHOcupDisp"></span>
                            </td>
                        </tr>
                        <tr>
                            <td><b><%=L.LBL("LblFDKLibres") %>:</b></td>
                            <td>
                                <span id="PTHLibres"></span>
                            </td>
                        </tr>
                        <tr>
                            <td><b><%=L.LBL("LblFDKReservadas") %>:</b></td>
                            <td>
                                <span id="PTHReserv"></span>
                            </td>
                        </tr>
                        <tr>
                            <td><b><%=L.LBL("LblFDKSalidas") %>:</b></td>
                            <td>
                                <span id="PTHSalidas"></span>
                            </td>
                        </tr>
                        <tr>
                            <td><b><%=L.LBL("LblGENTotal") %>:</b></td>
                            <td>
                                <span id="PTHTotal" style="font-weight: bold;"></span>
                            </td>
                        </tr>
                    </table>
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("PronosticoTipoHabitacion") %> - <%=L.LBL("LblGENComparativo") %> [4.1]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="VerSimp();" id="A1">
                                                <img src="img/report.png" />
                                                <%=L.LBL("LblGENSimple") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-1-pron%C3%B3stico-por-tipo-de-habitacion/', '_blank');" id="A2">
                                                <img src="../img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblFDKGrupoDisp") %>:</b>
                        </td>
                        <td>
                            <%=cbGrupoDisp %>
                        </td>
                    </tr>
                </table>

                <table>
                    <tr>
                        <td>
                            <input type="radio" name="rbContrato" value="0" <%=!contrato ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENHotel") %></b>
                        </td>
                        <td>
                            <input type="radio" name="rbContrato" value="1" <%=contrato ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENTarifa") %></b>:
                        </td>
                        <td colspan="4">
                            <%=cbContrato %>
                            <%--<select name="cbContrato" id="cbContrato" onchange="" style="width: 250px;">--%>
                                <%
//foreach (System.Data.DataRow dr in Contratos.Rows)
//{
//    Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
//}
                                %>
                            <%--</select>--%>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <input type="checkbox" id="cbCupos" value="1" <%=cupos ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <%=L.LBL("LblFDKPRONRespetarCupos") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbRelease" value="1" <%=release ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <%=L.LBL("LblFDKPRONRespetarRelease") %>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblGENEstado") %>:</b>
                        </td>
                        <td>
                            <input type="checkbox" id="cbSolicitadas" value="1" <%=solicitadas ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKESRESolicitada") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbConfirmadas" value="1" <%=confirmadas ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKESREConfirmada") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbListaEsp" value="1" <%=lista_esp ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKESREListaEspera") %>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <b><%=L.LBL("LblGENVer") %>:</b>
                        </td>
                        <td>
                            <input type="radio" name="rbOcupacion" value="0" <%=!ocupacion ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKDisponibilidad") %>
                        </td>
                        <td>
                            <input type="radio" name="rbOcupacion" value="1" <%=ocupacion ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKOcupacion") %>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblGENStart") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecIni" value="<%=String.Format("{0:d}", FecIni) %>" class="eligeFecha" />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENEnd") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecFin" value="<%=String.Format("{0:d}", FecFin) %>" class="eligeFecha" />
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <input type="radio" name="rbReal" value="1" <%=real == 1 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKProyectado") %></b>
                        </td>
                        <td>
                            <input type="radio" name="rbReal" value="2" <%=real == 2 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKReal") %></b>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                        <td>
                            <button type="button" onclick="Informe();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/report.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENInforme") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <br />

                <h3>
                    <%=L.LBL("LblFDKTotalHotel") %>: <span style="color: blue"><%=ProTH.Tables[0].Rows[0]["total_hotel"].ToString() %></span>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <%=L.LBL("LblFDKTotalGrupo") %>: <span style="color: blue"><%=ProTH.Tables[1].Rows[0]["total_grupo"].ToString() %></span>
                </h3>

                <div style="width: 1000px; max-height: 250px; overflow-x: scroll; /*overflow-y: hidden;*/">
                    <table class="tblPTH">
                        <thead>
                            <%
                                // Encabezado
                                bool Primero = true;
                                DateTime fecha = new DateTime(1900, 1, 1);
                                DateTime fecha_new = DateTime.Now;
                                List<PTHDatos> datos = new List<PTHDatos>();
                                PTHDatos dato = new PTHDatos();
                                bool generando = true;
                                Response.Write("<tr><th class=\"ui-state-default\">" + L.LBL("LblGENDate") + "</th><th class=\"ui-state-default\">" 
                                    + (ocupacion ? L.LBL("LblFDKOcupacion") : L.LBL("LblFDKLibres")) + "</th><th class=\"ui-state-default\">%</th>");
                                string thab = "";
                                string thab_new = "";
                                foreach (System.Data.DataRow dr in ProTH.Tables[2].Rows)
                                {
                                    fecha_new = DateTime.Parse(dr["Fecha"].ToString());
                                    //if(fecha != fecha_new)
                                    if(!Helpers.CompareDate(fecha, fecha_new))
                                    {
                                        fecha = fecha_new;
                                        if (Primero)
                                        {
                                            Primero = false;
                                        }
                                        else
                                        {
                                            datos.Add(dato);
                                            dato = new PTHDatos();
                                            generando = false;
                                        }
                                        dato.fecha = fecha_new;
                                    }
                                    if (generando)
                                    {
                                        thab_new = dr["TipoHabi"].ToString();
                                        if (!thab_new.Equals(thab))
                                        {
                                            Response.Write("<th class=\"ui-state-default\">" + dr["TipoHabi"].ToString() + "</th>");
                                        }
                                    }
                                    dato.libres += ocupacion ? int.Parse(dr["ocup"].ToString()) + int.Parse(dr["reserv"].ToString()) - int.Parse(dr["salen"].ToString())
                                            : int.Parse(dr["booking_disp"].ToString());
                                    dato.total_release += int.Parse(dr["total_release"].ToString());
                                    dato.booking_disp += int.Parse(dr["booking_disp"].ToString());
                                    dato.ford_cupos += int.Parse(dr["ford_cupos"].ToString());
                                    dato.ocup += int.Parse(dr["ocup"].ToString());
                                    dato.reserv += int.Parse(dr["reserv"].ToString());
                                    dato.salen += int.Parse(dr["salen"].ToString());
                                }
                                datos.Add(dato);
                                Response.Write("</tr></thead><tbody>");

                                // Detalle
                                Primero = true;
                                fecha = new DateTime(1900, 1, 1);
                                fecha_new = DateTime.Now;
                                string css_sabado = "";
                                float porc_ocup = 0F;
                                foreach(System.Data.DataRow dr in ProTH.Tables[2].Rows)
                                {
                                    fecha_new = DateTime.Parse(dr["Fecha"].ToString());
                                    //if(fecha != fecha_new)
                                    if(!Helpers.CompareDate(fecha, fecha_new))
                                    {
                                        if(fecha_new.DayOfWeek == DayOfWeek.Saturday)
                                        {
                                            css_sabado = "style=\"background-color: #FFFEDB;\"";
                                        }
                                        else
                                        {
                                            css_sabado = "";
                                        }
                                        fecha = fecha_new;
                                        if (!Primero)
                                        {
                                            Response.Write("</tr>");
                                        }
                                        else
                                        {
                                            Primero = false;
                                        }
                                        foreach(PTHDatos d in datos)
                                        {
                                            if(d.fecha == fecha_new)
                                            {
                                                dato = d;
                                            }
                                        }
                                        Response.Write("<tr><td " + css_sabado + ">" + string.Format("{0:d}", fecha_new) + "</td>");
                                        Response.Write("<td " + css_sabado + " onclick=\"PTHDialog(" 
                                        + (ocupacion ? 1 : 0) 
                                        + ", '" + string.Format("{0:d}", fecha_new) 
                                        + "', 0, '" + L.LBL("LblGENAll")  
                                        + "', " + dato.ford_cupos 
                                        + ", " + dato.ocup 
                                        + ", " + dato.reserv + ", " 
                                        + dato.salen + ", " 
                                        + dato.total_release + ", " 
                                        + dato.booking_disp + ");\">" 
                                        + dato.libres + "</td>");
                                        porc_ocup = dato.total_release == 0 ? 0F : ((dato.total_release - dato.booking_disp - dato.ford_cupos) * 100F) / dato.total_release;
                                        Response.Write("<td " + css_sabado + ">" + string.Format("{0:N2}", porc_ocup) + "</td>");
                                    }
                                    Response.Write("<td " + css_sabado + " onclick=\"PTHDialog(" 
                                        + (ocupacion ? 1 : 0) 
                                        + ", '" + string.Format("{0:d}", fecha_new) 
                                        + "', " + dr["id_thab"].ToString()  
                                        + ", '" + dr["TipoHabi"].ToString()  
                                        + "', " + dr["ford_cupos"].ToString() 
                                        + ", " + dr["ocup"].ToString() 
                                        + ", " + dr["reserv"].ToString() + ", " 
                                        + dr["salen"].ToString() + ", " 
                                        + dr["total_release"].ToString() + ", " 
                                        + dr["booking_disp"].ToString() + ");\">" +
                                        (ocupacion ? int.Parse(dr["ocup"].ToString()) + int.Parse(dr["reserv"].ToString()) - int.Parse(dr["salen"].ToString())
                                            : int.Parse(dr["booking_disp"].ToString())) +
                                        "</td>");
                                }

                            %>
                        </tbody>
                    </table>
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblGENStart") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecIni2" value="<%=String.Format("{0:d}", FecIni2) %>" class="eligeFecha" />
                        </td>
                        <td>
                            <b><%=L.LBL("LblGENEnd") %>:</b>
                        </td>
                        <td>
                            <input type="text" id="txtFecFin2" value="<%=String.Format("{0:d}", FecFin2) %>" class="eligeFecha" />
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <input type="radio" name="rbReal2" value="1" <%=real2 == 1 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKProyectado") %></b>
                        </td>
                        <td>
                            <input type="radio" name="rbReal2" value="2" <%=real2 == 2 ? "checked=\"checked\"" : "" %> />
                        </td>
                        <td>
                            <b><%=L.LBL("LblFDKReal") %></b>
                        </td>
                        <td style="width: 20px;"></td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                        <td>
                            <button type="button" onclick="Informe2();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/report.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENInforme") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <h3>
                    <%=L.LBL("LblFDKTotalHotel") %>: <span style="color: blue"><%=ProTH2.Tables[0].Rows[0]["total_hotel"].ToString() %></span>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <%=L.LBL("LblFDKTotalGrupo") %>: <span style="color: blue"><%=ProTH2.Tables[1].Rows[0]["total_grupo"].ToString() %></span>
                </h3>

                <div style="width: 1000px; max-height: 250px; overflow-x: scroll; /*overflow-y: hidden;*/">
                    <table class="tblPTH">
                        <thead>
                            <%
                                // Encabezado
                                Primero = true;
                                fecha = new DateTime(1900, 1, 1);
                                fecha_new = DateTime.Now;
                                datos = new List<PTHDatos>();
                                dato = new PTHDatos();
                                generando = true;
                                Response.Write("<tr><th class=\"ui-state-default\">" + L.LBL("LblGENDate") + "</th><th class=\"ui-state-default\">" 
                                    + (ocupacion ? L.LBL("LblFDKOcupacion") : L.LBL("LblFDKLibres")) + "</th><th class=\"ui-state-default\">%</th>");
                                thab = "";
                                thab_new = "";
                                foreach (System.Data.DataRow dr in ProTH2.Tables[2].Rows)
                                {
                                    fecha_new = DateTime.Parse(dr["Fecha"].ToString());
                                    //if(fecha != fecha_new)
                                    if(!Helpers.CompareDate(fecha, fecha_new))
                                    {
                                        fecha = fecha_new;
                                        if (Primero)
                                        {
                                            Primero = false;
                                        }
                                        else
                                        {
                                            datos.Add(dato);
                                            dato = new PTHDatos();
                                            generando = false;
                                        }
                                        dato.fecha = fecha_new;
                                    }
                                    if (generando)
                                    {
                                        thab_new = dr["TipoHabi"].ToString();
                                        if (!thab_new.Equals(thab))
                                        {
                                            Response.Write("<th class=\"ui-state-default\">" + dr["TipoHabi"].ToString() + "</th>");
                                        }
                                    }
                                    dato.libres += ocupacion ? int.Parse(dr["ocup"].ToString()) + int.Parse(dr["reserv"].ToString()) - int.Parse(dr["salen"].ToString())
                                            : int.Parse(dr["booking_disp"].ToString());
                                    dato.total_release += int.Parse(dr["total_release"].ToString());
                                    dato.booking_disp += int.Parse(dr["booking_disp"].ToString());
                                    dato.ford_cupos += int.Parse(dr["ford_cupos"].ToString());
                                    dato.ocup += int.Parse(dr["ocup"].ToString());
                                    dato.reserv += int.Parse(dr["reserv"].ToString());
                                    dato.salen += int.Parse(dr["salen"].ToString());
                                }
                                datos.Add(dato);
                                Response.Write("</tr></thead><tbody>");

                                // Detalle
                                Primero = true;
                                fecha = new DateTime(1900, 1, 1);
                                fecha_new = DateTime.Now;
                                css_sabado = "";
                                porc_ocup = 0F;
                                foreach(System.Data.DataRow dr in ProTH2.Tables[2].Rows)
                                {
                                    fecha_new = DateTime.Parse(dr["Fecha"].ToString());
                                    //if(fecha != fecha_new)
                                    if(!Helpers.CompareDate(fecha, fecha_new))
                                    {
                                        if(fecha_new.DayOfWeek == DayOfWeek.Saturday)
                                        {
                                            css_sabado = "style=\"background-color: #FFFEDB;\"";
                                        }
                                        else
                                        {
                                            css_sabado = "";
                                        }
                                        fecha = fecha_new;
                                        if (!Primero)
                                        {
                                            Response.Write("</tr>");
                                        }
                                        else
                                        {
                                            Primero = false;
                                        }
                                        foreach(PTHDatos d in datos)
                                        {
                                            if(d.fecha == fecha_new)
                                            {
                                                dato = d;
                                            }
                                        }
                                        Response.Write("<tr><td " + css_sabado + ">" + string.Format("{0:d}", fecha_new) + "</td>");
                                        Response.Write("<td " + css_sabado + " onclick=\"PTHDialog(" 
                                        + (ocupacion ? 1 : 0) 
                                        + ", '" + string.Format("{0:d}", fecha_new) 
                                        + "', 0, '" + L.LBL("LblGENAll")  
                                        + "', " + dato.ford_cupos 
                                        + ", " + dato.ocup 
                                        + ", " + dato.reserv + ", " 
                                        + dato.salen + ", " 
                                        + dato.total_release + ", " 
                                        + dato.booking_disp + ");\">" 
                                        + dato.libres + "</td>");
                                        porc_ocup = dato.total_release == 0 ? 0F : ((dato.total_release - dato.booking_disp - dato.ford_cupos) * 100F) / dato.total_release;
                                        Response.Write("<td " + css_sabado + ">" + string.Format("{0:N2}", porc_ocup) + "</td>");
                                    }
                                    Response.Write("<td " + css_sabado + " onclick=\"PTHDialog(" 
                                        + (ocupacion ? 1 : 0) 
                                        + ", '" + string.Format("{0:d}", fecha_new) 
                                        + "', " + dr["id_thab"].ToString()  
                                        + ", '" + dr["TipoHabi"].ToString()  
                                        + "', " + dr["ford_cupos"].ToString() 
                                        + ", " + dr["ocup"].ToString() 
                                        + ", " + dr["reserv"].ToString() + ", " 
                                        + dr["salen"].ToString() + ", " 
                                        + dr["total_release"].ToString() + ", " 
                                        + dr["booking_disp"].ToString() + ");\">" +
                                        (ocupacion ? int.Parse(dr["ocup"].ToString()) + int.Parse(dr["reserv"].ToString()) - int.Parse(dr["salen"].ToString())
                                            : int.Parse(dr["booking_disp"].ToString())) +
                                        "</td>");
                                }

                            %>
                        </tbody>
                    </table>
                </div>
                
            </div>

        </div>

    </div>

</asp:Content>
